Package anbxj

# Class Channel_Properties

java.lang.Object
anbxj.Channel_Properties

public class Channel_Properties extends Object
Channel Properties: Represents the properties of a communication channel. This class encapsulates settings related to a communication channel, including channel type, role, host, port, cipher suites, and key store settings.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Channel_Properties()`
  Default constructor for Channel_Properties.
  `Channel_Properties(Channel_Settings cs)`
  Constructor for Channel_Properties with specified channel settings.
  `Channel_Properties(Channel_Settings cs, Crypto_KeyStoreSettings kss)`
  Constructor for Channel_Properties with specified channel settings and key store settings.
  `Channel_Properties(Channel_Settings cs, Crypto_KeyStoreSettings_Map kss)`
  Constructor for Channel_Properties with specified channel settings and key store settings map.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Channel_Roles`
  `getChannelRole()`
  Get the role of the communication channel.
  `Channel_Settings`
  `getChannelSettings()`
  Get the channel settings for the communication channel.
  `Channel_SSLChannelType`
  `getChannelType()`
  Get the channel type for the communication channel.
  `String[]`
  `getEnabledCipherSuites(String[] enabled)`
  Get the enabled cipher suites for the communication channel.
  `String`
  `getHost()`
  Get the host of the communication channel.
  `Crypto_KeyStoreSettings`
  `getKeyStoreSettings()`
  Get the key store settings for the communication channel.
  `int`
  `getPort()`
  Get the port of the communication channel.
  `String`
  `getSSLContextAlgorithm()`
  Get channel SSL context.
  `Boolean`
  `isAuthenticatedChannel()`
  Check if the communication channel is an authenticated channel.
  `Boolean`
  `isSecretChannel()`
  Check if the communication channel is a secret channel.

  ### Methods inherited from class java.lang.Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Channel_Properties

    public Channel_Properties()
    Default constructor for Channel_Properties.

  - ### Channel_Properties

    public Channel_Properties(Channel_Settings cs, Crypto_KeyStoreSettings_Map kss)
    Constructor for Channel_Properties with specified channel settings and key store settings map.
    Parameters:
      `cs` - Channel settings for the communication channel.
      `kss` - Crypto key store settings map.

  - ### Channel_Properties

    public Channel_Properties(Channel_Settings cs, Crypto_KeyStoreSettings kss)
    Constructor for Channel_Properties with specified channel settings and key store settings.
    Parameters:
      `cs` - Channel settings for the communication channel.
      `kss` - Crypto key store settings.

  - ### Channel_Properties

    public Channel_Properties(Channel_Settings cs)
    Constructor for Channel_Properties with specified channel settings.
    Parameters:
      `cs` - Channel settings for the communication channel.

- ## Method Details

  - ### getChannelRole

    public Channel_Roles getChannelRole()
    Get the role of the communication channel.
    Returns:
      Channel role.

  - ### getChannelSettings

    public Channel_Settings getChannelSettings()
    Get the channel settings for the communication channel.
    Returns:
      Channel settings.

  - ### getChannelType

    public Channel_SSLChannelType getChannelType()
    Get the channel type for the communication channel.
    Returns:
      Channel type.

  - ### getEnabledCipherSuites

    public String[] getEnabledCipherSuites(String[] enabled)
    Get the enabled cipher suites for the communication channel.
    Parameters:
      `enabled` - Array of enabled cipher suites.
    Returns:
      Enabled cipher suites.

  - ### getHost

    public String getHost()
    Get the host of the communication channel.
    Returns:
      Host name or IP address.

  - ### getKeyStoreSettings

    public Crypto_KeyStoreSettings getKeyStoreSettings()
    Get the key store settings for the communication channel.
    Returns:
      Crypto key store settings.

  - ### getPort

    public int getPort()
    Get the port of the communication channel.
    Returns:
      Port number.

  - ### getSSLContextAlgorithm

    public String getSSLContextAlgorithm()
    Get channel SSL context.
    Returns:
      SSL context

  - ### isAuthenticatedChannel

    public Boolean isAuthenticatedChannel()
    Check if the communication channel is an authenticated channel.
    Returns:
      True if the channel is authenticated, false otherwise.

  - ### isSecretChannel

    public Boolean isSecretChannel()
    Check if the communication channel is a secret channel.
    Returns:
      True if the channel is a secret channel, false otherwise.